{
    type jeton =
        | Entier of int
        | Plus
        | Fois
        | Par_ouv
        | Par_fer
    ;;
}

let chiffre =['0'-'9']

rule expr_ar = parse
| [' ' '\t' '\n']+ { expr_ar lexbuf } (* ignore les espaces et retour a la ligne en appelant recursivement le parseur sur la suite *)
| chiffre (chiffre)* as n {(Entier (int_of_string n)) :: (expr_ar lexbuf) }
| "+" {Plus::(expr_ar lexbuf)}
| "*" {Fois::(expr_ar lexbuf)}
| "(" {Par_ouv::(expr_ar lexbuf)}
| ")" {Par_fer::(expr_ar lexbuf)}
| eof {[]}

